List snapshots for a dynamic group, newest first
curl --request GET \
--url https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group}/snapshotsimport requests
url = "https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group}/snapshots"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"group_definition_id": 123,
"status": "<string>",
"source": "<string>",
"snapshot_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"failed_at": "<string>",
"error": "<string>",
"total_candidates": 123,
"total_excluded": 123,
"total_profiles": 123,
"inclusion_breakdown": [
"<unknown>"
],
"exclusion_breakdown": [
"<unknown>"
],
"duration_ms": 123,
"meta": [
"<unknown>"
],
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Group Snapshot
List snapshots for a dynamic group, newest first
A GET to the /groups/definitions/{group}/snapshots endpoint returns the snapshot history.
GET
/
v3
/
groups
/
definitions
/
{group}
/
snapshots
List snapshots for a dynamic group, newest first
Filtering
This endpoint accepts
filter and sort query parameters. See Filtering, sorting, and search for paging and for the shared search_with, custom_field, and json_contains filters.Examples
curl -X GET "https://api.[tenant].getomneo.com/api/v3/groups/definitions/{group}/snapshots?filter[status]={status}" \
-H "Authorization: Bearer ${TOKEN}"
curl -X GET "https://api.[tenant].getomneo.com/api/v3/groups/definitions/{group}/snapshots?filter[snapshot_at][gte]=2026-01-01&filter[snapshot_at][lt]=2026-02-01" \
-H "Authorization: Bearer ${TOKEN}"
Operators
| Operator | Meaning | Example |
|---|---|---|
eq | Equal to. Applied when you give no operator. | filter[status]={status} |
ne | Not equal to. | filter[status][ne]={status} |
gt | Greater than. | filter[snapshot_at][gt]=2026-01-01 |
gte | Greater than or equal to. | filter[snapshot_at][gte]=2026-01-01 |
lt | Less than. | filter[snapshot_at][lt]=2026-02-01 |
lte | Less than or equal to. | filter[snapshot_at][lte]=2026-02-01 |
in | Matches any value in a comma separated list. | filter[id][in]=123,456 |
not_in | Excludes every value in a comma separated list. | filter[id][not_in]=123,456 |
nullable | 1 returns records where the attribute is empty. Any other value returns records where it is set. | filter[snapshot_at][nullable]=1 |
not_has operator applies to related attributes, which this endpoint does not have.
Filter attributes
| Attribute | Attribute | Attribute |
|---|---|---|
id | group_definition_id | status |
source | snapshot_at | started_at |
completed_at | failed_at |
sort key, for example ?sort=-snapshot_at for descending order.⌘I